Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040EntryRelationship

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040EntryRelationshipImpl

    public interface POCDMT000040EntryRelationship

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Entry Relationship'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Sequence Number`
- `Seperatable Ind`
- `Act`
- `Encounter`
- `Observation`
- `Observation Media`
- `Organizer`
- `Procedure`
- `Region Of Interest`
- `Substance Administration`
- `Supply`
- `Context Conduction Ind`
- `Inversion Ind`
- `Negation Ind`
- `Null Flavor`
- `Type Code`

See Also:
  `CDAR2Package.getPOCDMT000040EntryRelationship()`

Method Summary
`POCDMT000040Act` | `getAct()` Returns the value of the 'Act' containment reference.
`POCDMT000040Encounter` | `getEncounter()` Returns the value of the 'Encounter' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`POCDMT000040Observation` | `getObservation()` Returns the value of the 'Observation' containment reference.
`POCDMT000040ObservationMedia` | `getObservationMedia()` Returns the value of the 'Observation Media' containment reference.
`POCDMT000040Organizer` | `getOrganizer()` Returns the value of the 'Organizer' containment reference.
`POCDMT000040Procedure` | `getProcedure()` Returns the value of the 'Procedure' containment reference.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`POCDMT000040RegionOfInterest` | `getRegionOfInterest()` Returns the value of the 'Region Of Interest' containment reference.
`BL1` | `getSeperatableInd()` Returns the value of the 'Seperatable Ind' containment reference.
`INT1` | `getSequenceNumber()` Returns the value of the 'Sequence Number' containment reference.
`POCDMT000040SubstanceAdministration` | `getSubstanceAdministration()` Returns the value of the 'Substance Administration' containment reference.
`POCDMT000040Supply` | `getSupply()` Returns the value of the 'Supply' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`XActRelationshipEntryRelationship` | `getTypeCode()` Returns the value of the 'Type Code' attribute.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isContextConductionInd()` Returns the value of the 'Context Conduction Ind' attribute.
`boolean` | `isInversionInd()` Returns the value of the 'Inversion Ind' attribute.
`boolean` | `isNegationInd()` Returns the value of the 'Negation Ind' attribute.
`boolean` | `isSetContextConductionInd()` Returns whether the value of the '`Context Conduction Ind`' attribute is set.
`boolean` | `isSetInversionInd()` Returns whether the value of the '`Inversion Ind`' attribute is set.
`boolean` | `isSetNegationInd()` Returns whether the value of the '`Negation Ind`' attribute is set.
`boolean` | `isSetTypeCode()` Returns whether the value of the '`Type Code`' attribute is set.
`void` | `setAct(POCDMT000040Act value)` Sets the value of the '`Act`' containment reference.
`void` | `setContextConductionInd(boolean value)` Sets the value of the '`Context Conduction Ind`' attribute.
`void` | `setEncounter(POCDMT000040Encounter value)` Sets the value of the '`Encounter`' containment reference.
`void` | `setInversionInd(boolean value)` Sets the value of the '`Inversion Ind`' attribute.
`void` | `setNegationInd(boolean value)` Sets the value of the '`Negation Ind`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setObservation(POCDMT000040Observation value)` Sets the value of the '`Observation`' containment reference.
`void` | `setObservationMedia(POCDMT000040ObservationMedia value)` Sets the value of the '`Observation Media`' containment reference.
`void` | `setOrganizer(POCDMT000040Organizer value)` Sets the value of the '`Organizer`' containment reference.
`void` | `setProcedure(POCDMT000040Procedure value)` Sets the value of the '`Procedure`' containment reference.
`void` | `setRegionOfInterest(POCDMT000040RegionOfInterest value)` Sets the value of the '`Region Of Interest`' containment reference.
`void` | `setSeperatableInd(BL1 value)` Sets the value of the '`Seperatable Ind`' containment reference.
`void` | `setSequenceNumber(INT1 value)` Sets the value of the '`Sequence Number`' containment reference.
`void` | `setSubstanceAdministration(POCDMT000040SubstanceAdministration value)` Sets the value of the '`Substance Administration`' containment reference.
`void` | `setSupply(POCDMT000040Supply value)` Sets the value of the '`Supply`' containment reference.
`void` | `setTypeCode(XActRelationshipEntryRelationship value)` Sets the value of the '`Type Code`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetContextConductionInd()` Unsets the value of the '`Context Conduction Ind`' attribute.
`void` | `unsetInversionInd()` Unsets the value of the '`Inversion Ind`' attribute.
`void` | `unsetNegationInd()` Unsets the value of the '`Negation Ind`' attribute.
`void` | `unsetTypeCode()` Unsets the value of the '`Type Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EntryRelationship_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040EntryRelationship_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EntryRelationship_TemplateId()`

### getSequenceNumber

    INT1 getSequenceNumber()

  Returns the value of the 'Sequence Number' containment reference.

  If the meaning of the 'Sequence Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sequence Number' containment reference.
  See Also:
    `setSequenceNumber(INT1)`, `CDAR2Package.getPOCDMT000040EntryRelationship_SequenceNumber()`

### setSequenceNumber

    void setSequenceNumber(INT1 value)

  Sets the value of the '`Sequence Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Sequence Number' containment reference.
  See Also:
    `getSequenceNumber()`

### getSeperatableInd

    BL1 getSeperatableInd()

  Returns the value of the 'Seperatable Ind' containment reference.

  If the meaning of the 'Seperatable Ind' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Seperatable Ind' containment reference.
  See Also:
    `setSeperatableInd(BL1)`, `CDAR2Package.getPOCDMT000040EntryRelationship_SeperatableInd()`

### setSeperatableInd

    void setSeperatableInd(BL1 value)

  Sets the value of the '`Seperatable Ind`' containment reference.

  Parameters:
    `value` - the new value of the 'Seperatable Ind' containment reference.
  See Also:
    `getSeperatableInd()`

### getAct

    POCDMT000040Act getAct()

  Returns the value of the 'Act' containment reference.

  If the meaning of the 'Act' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Act' containment reference.
  See Also:
    `setAct(POCDMT000040Act)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Act()`

### setAct

    void setAct(POCDMT000040Act value)

  Sets the value of the '`Act`' containment reference.

  Parameters:
    `value` - the new value of the 'Act' containment reference.
  See Also:
    `getAct()`

### getEncounter

    POCDMT000040Encounter getEncounter()

  Returns the value of the 'Encounter' containment reference.

  If the meaning of the 'Encounter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encounter' containment reference.
  See Also:
    `setEncounter(POCDMT000040Encounter)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Encounter()`

### setEncounter

    void setEncounter(POCDMT000040Encounter value)

  Sets the value of the '`Encounter`' containment reference.

  Parameters:
    `value` - the new value of the 'Encounter' containment reference.
  See Also:
    `getEncounter()`

### getObservation

    POCDMT000040Observation getObservation()

  Returns the value of the 'Observation' containment reference.

  If the meaning of the 'Observation' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Observation' containment reference.
  See Also:
    `setObservation(POCDMT000040Observation)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Observation()`

### setObservation

    void setObservation(POCDMT000040Observation value)

  Sets the value of the '`Observation`' containment reference.

  Parameters:
    `value` - the new value of the 'Observation' containment reference.
  See Also:
    `getObservation()`

### getObservationMedia

    POCDMT000040ObservationMedia getObservationMedia()

  Returns the value of the 'Observation Media' containment reference.

  If the meaning of the 'Observation Media' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Observation Media' containment reference.
  See Also:
    `setObservationMedia(POCDMT000040ObservationMedia)`, `CDAR2Package.getPOCDMT000040EntryRelationship_ObservationMedia()`

### setObservationMedia

    void setObservationMedia(POCDMT000040ObservationMedia value)

  Sets the value of the '`Observation Media`' containment reference.

  Parameters:
    `value` - the new value of the 'Observation Media' containment reference.
  See Also:
    `getObservationMedia()`

### getOrganizer

    POCDMT000040Organizer getOrganizer()

  Returns the value of the 'Organizer' containment reference.

  If the meaning of the 'Organizer' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organizer' containment reference.
  See Also:
    `setOrganizer(POCDMT000040Organizer)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Organizer()`

### setOrganizer

    void setOrganizer(POCDMT000040Organizer value)

  Sets the value of the '`Organizer`' containment reference.

  Parameters:
    `value` - the new value of the 'Organizer' containment reference.
  See Also:
    `getOrganizer()`

### getProcedure

    POCDMT000040Procedure getProcedure()

  Returns the value of the 'Procedure' containment reference.

  If the meaning of the 'Procedure' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Procedure' containment reference.
  See Also:
    `setProcedure(POCDMT000040Procedure)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Procedure()`

### setProcedure

    void setProcedure(POCDMT000040Procedure value)

  Sets the value of the '`Procedure`' containment reference.

  Parameters:
    `value` - the new value of the 'Procedure' containment reference.
  See Also:
    `getProcedure()`

### getRegionOfInterest

    POCDMT000040RegionOfInterest getRegionOfInterest()

  Returns the value of the 'Region Of Interest' containment reference.

  If the meaning of the 'Region Of Interest' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Region Of Interest' containment reference.
  See Also:
    `setRegionOfInterest(POCDMT000040RegionOfInterest)`, `CDAR2Package.getPOCDMT000040EntryRelationship_RegionOfInterest()`

### setRegionOfInterest

    void setRegionOfInterest(POCDMT000040RegionOfInterest value)

  Sets the value of the '`Region Of Interest`' containment reference.

  Parameters:
    `value` - the new value of the 'Region Of Interest' containment reference.
  See Also:
    `getRegionOfInterest()`

### getSubstanceAdministration

    POCDMT000040SubstanceAdministration getSubstanceAdministration()

  Returns the value of the 'Substance Administration' containment reference.

  If the meaning of the 'Substance Administration' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Substance Administration' containment reference.
  See Also:
    `setSubstanceAdministration(POCDMT000040SubstanceAdministration)`, `CDAR2Package.getPOCDMT000040EntryRelationship_SubstanceAdministration()`

### setSubstanceAdministration

    void setSubstanceAdministration(POCDMT000040SubstanceAdministration value)

  Sets the value of the '`Substance Administration`' containment reference.

  Parameters:
    `value` - the new value of the 'Substance Administration' containment reference.
  See Also:
    `getSubstanceAdministration()`

### getSupply

    POCDMT000040Supply getSupply()

  Returns the value of the 'Supply' containment reference.

  If the meaning of the 'Supply' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Supply' containment reference.
  See Also:
    `setSupply(POCDMT000040Supply)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Supply()`

### setSupply

    void setSupply(POCDMT000040Supply value)

  Sets the value of the '`Supply`' containment reference.

  Parameters:
    `value` - the new value of the 'Supply' containment reference.
  See Also:
    `getSupply()`

### isContextConductionInd

    boolean isContextConductionInd()

  Returns the value of the 'Context Conduction Ind' attribute. The default value is `"true"`.

  If the meaning of the 'Context Conduction Ind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context Conduction Ind' attribute.
  See Also:
    `isSetContextConductionInd()`, `unsetContextConductionInd()`, `setContextConductionInd(boolean)`, `CDAR2Package.getPOCDMT000040EntryRelationship_ContextConductionInd()`

### setContextConductionInd

    void setContextConductionInd(boolean value)

  Sets the value of the '`Context Conduction Ind`' attribute.

  Parameters:
    `value` - the new value of the 'Context Conduction Ind' attribute.
  See Also:
    `isSetContextConductionInd()`, `unsetContextConductionInd()`, `isContextConductionInd()`

### unsetContextConductionInd

    void unsetContextConductionInd()

  Unsets the value of the '`Context Conduction Ind`' attribute.

  See Also:
    `isSetContextConductionInd()`, `isContextConductionInd()`, `setContextConductionInd(boolean)`

### isSetContextConductionInd

    boolean isSetContextConductionInd()

  Returns whether the value of the '`Context Conduction Ind`' attribute is set.

  Returns:
    whether the value of the 'Context Conduction Ind' attribute is set.
  See Also:
    `unsetContextConductionInd()`, `isContextConductionInd()`, `setContextConductionInd(boolean)`

### isInversionInd

    boolean isInversionInd()

  Returns the value of the 'Inversion Ind' attribute.

  If the meaning of the 'Inversion Ind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Inversion Ind' attribute.
  See Also:
    `isSetInversionInd()`, `unsetInversionInd()`, `setInversionInd(boolean)`, `CDAR2Package.getPOCDMT000040EntryRelationship_InversionInd()`

### setInversionInd

    void setInversionInd(boolean value)

  Sets the value of the '`Inversion Ind`' attribute.

  Parameters:
    `value` - the new value of the 'Inversion Ind' attribute.
  See Also:
    `isSetInversionInd()`, `unsetInversionInd()`, `isInversionInd()`

### unsetInversionInd

    void unsetInversionInd()

  Unsets the value of the '`Inversion Ind`' attribute.

  See Also:
    `isSetInversionInd()`, `isInversionInd()`, `setInversionInd(boolean)`

### isSetInversionInd

    boolean isSetInversionInd()

  Returns whether the value of the '`Inversion Ind`' attribute is set.

  Returns:
    whether the value of the 'Inversion Ind' attribute is set.
  See Also:
    `unsetInversionInd()`, `isInversionInd()`, `setInversionInd(boolean)`

### isNegationInd

    boolean isNegationInd()

  Returns the value of the 'Negation Ind' attribute.

  If the meaning of the 'Negation Ind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Negation Ind' attribute.
  See Also:
    `isSetNegationInd()`, `unsetNegationInd()`, `setNegationInd(boolean)`, `CDAR2Package.getPOCDMT000040EntryRelationship_NegationInd()`

### setNegationInd

    void setNegationInd(boolean value)

  Sets the value of the '`Negation Ind`' attribute.

  Parameters:
    `value` - the new value of the 'Negation Ind' attribute.
  See Also:
    `isSetNegationInd()`, `unsetNegationInd()`, `isNegationInd()`

### unsetNegationInd

    void unsetNegationInd()

  Unsets the value of the '`Negation Ind`' attribute.

  See Also:
    `isSetNegationInd()`, `isNegationInd()`, `setNegationInd(boolean)`

### isSetNegationInd

    boolean isSetNegationInd()

  Returns whether the value of the '`Negation Ind`' attribute is set.

  Returns:
    whether the value of the 'Negation Ind' attribute is set.
  See Also:
    `unsetNegationInd()`, `isNegationInd()`, `setNegationInd(boolean)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040EntryRelationship_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

### getTypeCode

    XActRelationshipEntryRelationship getTypeCode()

  Returns the value of the 'Type Code' attribute. The default value is `"XCRPT"`. The literals are from the enumeration `XActRelationshipEntryRelationship`.

  If the meaning of the 'Type Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Code' attribute.
  See Also:
    `XActRelationshipEntryRelationship`, `isSetTypeCode()`, `unsetTypeCode()`, `setTypeCode(XActRelationshipEntryRelationship)`, `CDAR2Package.getPOCDMT000040EntryRelationship_TypeCode()`

### setTypeCode

    void setTypeCode(XActRelationshipEntryRelationship value)

  Sets the value of the '`Type Code`' attribute.

  Parameters:
    `value` - the new value of the 'Type Code' attribute.
  See Also:
    `XActRelationshipEntryRelationship`, `isSetTypeCode()`, `unsetTypeCode()`, `getTypeCode()`

### unsetTypeCode

    void unsetTypeCode()

  Unsets the value of the '`Type Code`' attribute.

  See Also:
    `isSetTypeCode()`, `getTypeCode()`, `setTypeCode(XActRelationshipEntryRelationship)`

### isSetTypeCode

    boolean isSetTypeCode()

  Returns whether the value of the '`Type Code`' attribute is set.

  Returns:
    whether the value of the 'Type Code' attribute is set.
  See Also:
    `unsetTypeCode()`, `getTypeCode()`, `setTypeCode(XActRelationshipEntryRelationship)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD